Bug 985160 - dracut ignores cmdline root= path
dracut ignores cmdline root= path
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: dracut (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: dracut-maint
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 21:22 EDT by Alex Williamson
Modified: 2014-06-17 23:55 EDT (History)
3 users (show)

See Also:
Fixed In Version: dracut-033-144.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:31:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (83.80 KB, image/jpeg)
2013-07-16 21:22 EDT, Alex Williamson
no flags Details
rdsosreport.txt (4.45 MB, text/plain)
2014-02-17 11:47 EST, Jan Stodola
no flags Details

  None (edit)
Description Alex Williamson 2013-07-16 21:22:27 EDT
Created attachment 774574 [details]
screenshot

Description of problem:
RHEL7 decided it wanted to make a logical volume named "root" during install, which doesn't match my naming scheme at all.  Post install I renamed the logical volume to lv_rhel7 and updated the cmdline in grub.  Dracut doesn't seem to use care what root= value is passed on the cmdline and still look for the, now non-existent, root logical volume... What's the point of root=?

Version-Release number of selected component (if applicable):
rhel7

How reproducible:
100%

Steps to Reproduce:
1. Rename your root logical volume
2. Update grub cmdline to reflect the new name
3. Attempt to reboot

Actual results:
See attached image

Expected results:
root= should override whatever path is embedded in the initrd.

Additional info:
Comment 2 Harald Hoyer 2013-07-31 11:37:31 EDT
To get to the system again, boot with the rescue entry, change root=, run
# dracut --regenerate-all -f

And retry with the normal grub entry, with dracut-031-4.git20130731.el7, where this is hopefully fixed.

# dracut -f
Comment 4 Jan Stodola 2014-02-17 11:47:41 EST
Created attachment 864198 [details]
rdsosreport.txt

Retested with dracut-033-124.el7, but system doesn't boot after changing LV name with rootfs:

[root@localhost ~]# lvrename rhel root rhel7
  Renamed "root" to "rhel7" in volume group "rhel"
[root@localhost ~]#

modifying kernel cmdline and reboot:

dracut:/# cat /proc/cmdline 
BOOT_IMAGE=/vmlinuz-3.10.0-86.el7.x86_64 root=/dev/mapper/rhel-rhel7 ro rd.lvm.lv=rhel/rhel7 vconsole.font=latarcyrheb-sun16 rd.lvm.lv=rhel/swap vconsole.keymap=us crashkernel=auto rhgb quiet LANG=en_US.UTF-8 rd.debug console=ttyS0
dracut:/# lvm lvs
  LV    VG   Attr       LSize  Pool Origin Data%  Move Log Cpy%Sync Convert
  rhel7 rhel -wi-a----- 17.51g                                             
  swap  rhel -wi-a-----  2.00g                                             
dracut:/#

rdsosreport.txt is attached.
Comment 5 Harald Hoyer 2014-02-26 09:32:19 EST
please retry with dracut-033-137.el7
Comment 6 Jan Stodola 2014-02-26 09:59:27 EST
Retested with dracut-033-137.el7, system booted correctly after changing root=, rd.lvm.lv= and updating /etc/fstab with the new LV name.
Comment 8 Jan Stodola 2014-03-05 04:12:17 EST
Retested with dracut-033-145.el7, this issue is fixed.

Moving to VERIFIED.
Comment 9 Ludek Smid 2014-06-13 07:31:15 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.